iDEAL logo

 

We have just released cciDEAL 2.2.2 which adds support for Virtuemart 1.1.5 to cciDEAL. Support for Virtuemart 1.1.5 is the only change in cciDEAL 2.2.2 from 2.2.1, so you only need to upgrade if you want to start using Virtuemart 1.1.5. We advice upgrading because of fixed security issues in Virtuemart 1.1.4.

 

 

Clients using the 2.2.1 GPL version of cciDEAL, purchased after May 2010, can download the full version of cciDEAL 2.2.2 in our downloads section. Clients using the older 2.2.1 non-GPL version, can request the full package in a ticket on our website, with their order number from joomlavirtuemartideal.nl.

For both types of clients (GPL and non-GPL), upgrading is really easy. You can also follow the below steps if you already upgraded Virtuemart, but forgot about cciDEAL.

Upgrading cciDEAL for Virtuemart 1.1.5 support

  1. First step is always: backup! You can use Akeeba Backup for fast Joomla! backups.
  2. Then upgrade to Virtuemart 1.1.5
  3. Download the patch files called "cciDEAL_VM115_Patch.zip" in our cciDEAL downloads section here
  4. Unzip that package.
  5. Find the file checkout.thankyou_vm115.php, and add this file in the location administrator/components/com_virtuemart/html and rename it to checkout.thankyou.php.
  6. In the package then find ps_checkout_vm115.php and ps_payment_method_vm114.php, and add these files in the location administrator/components/com_virtuemart/classes. Then rename to ps_checkout.php and ps_payment_method.php.
  7. Test that cciDEAL and Virtuemart are functioning correctly.
  8. If you have any questions or issues, please send a support email, so we can assist you.